Bug 165103 - sata_uli module hangs
sata_uli module hangs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-08-04 09:17 EDT by Hubert Verstraete
Modified: 2013-07-02 22:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6.12-1.1450_FC4smp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 13:07:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Verstraete 2005-08-04 09:17:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I can't install FC4 on a brand new computer Acer Aspire T630-JA6X.
The problem comes while loading sata_uli needed by the ULi SATA Controller M5287, which is part of the ULi M1573 Southbridge.
Loading the module, never returns.

I made a try with the noprobe option, to manually insmod the needed modules, extracted from modules.cgz to /tmp.
I succeeded in inserting the libata module on which depends sata_uli.
Then I manually insmod sata_uli and it never returns, even though it seems to successfully detect my single hard drive, according to the kernel logs.

Then I rebuilt a new Boot CD with the latest FC4 kernel (kernel-2.6.12-1.1398_FC4) and with the same list of modules (updated of course) in modules.cgz in initrd. I then reproduce the same behavior :(

The Knoppix 3.9 works perfectly with a kernel 2.6.11 (Gentoo also). It looks to be a problem with the Fedora kernel.
I'm about to bring back the PC to the shop :(

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot with a FC4 CD (boot.iso, rescue CD, or CD1)
2. at the prompt, enter "linux acpi=off" to make /sbin/loader work
3.
  

Actual Results:  The message "loading sata_uli..." is displayed for ever.

Expected Results:  It should have returned after the drive detection, and continue the installation.

Additional info:

Product detail: http://www.uli.com.tw/eng/products/product_detail.php?pserno=79
Comment 1 peihung.lee 2005-08-05 02:45:29 EDT
I have the the exactly same problem. I'm also trying to install FC4 on a Aspire
T630.

However, when I tried the USB keyboard (and the USB mouse) instead of using PW/2
ones, the "loading sata_uli" step will pass, and the installation process continues.

When it comes to the step of installing packages into SATA HD, I found that I
have to keep moving curse around or keystroking that the HD status indicator
indicated the hard disk "is working" (the indicator is next to the power
indicator on the top side of the machine). Otherwise, the installation process
will hang.

Although the installation process succeed, but it failed to boot.
Comment 2 peihung.lee 2005-08-05 02:48:52 EDT
I have the the exactly same problem. I'm also trying to install FC4 on a Aspire
T630.

However, when I tried the USB keyboard (and the USB mouse) instead of using PW/2
ones, the "loading sata_uli" step will pass, and the installation process continues.

When it comes to the step of installing packages into SATA HD, I found that I
have to keep moving curse around or keystroking that the HD status indicator
indicated the hard disk "is working" (the indicator is next to the power
indicator on the top side of the machine). Otherwise, the installation process
will hang.

Although the installation process succeed, but it failed to boot.

By the way, when I used a PS/2 keyboard, and a USB mouse, the "loading sata_uli"
never return.
Comment 3 peihung.lee 2005-08-05 02:52:20 EDT
I have the the exactly same problem. I'm also trying to install FC4 on a Aspire
T630.

However, when I tried the USB keyboard (and the USB mouse) instead of using PS/2
ones, the "loading sata_uli" step will pass, and the installation process continues.

When it comes to the step of installing packages into SATA HD, I found that I
have to keep moving curse around or keep keystroking that the HD status indicator
indicates that the HD "is working" (the indicator is next to the power
indicator on the top side of the machine). Otherwise, the installation process
will hang.

Although the installation process succeed, but it failed to boot.

By the way, when I used a PS/2 keyboard, and a USB mouse, the "loading sata_uli"
never return.
Comment 4 Hubert Verstraete 2005-08-05 08:02:18 EDT
I reproduce all what peihung.lee describes, using USB keyboard and USB mouse.
The detection by sata_uli returns only if I move the mouse or keystroke.
Each time the installation needs to access the hard drive, it can only be done
with some USB device activity. Therefore, when it installs the packages, I have
to move around the mouse continuously.

I've noticed a timeout error if we're not moving some USB device.
While loading the sata_uli module:
ata1: command 0x25 timeout, stat 0x50 host_stat 0x4
While partitioning the hard drive:
ata1: command 0x35 timeout, stat 0x50 host_stat 0x4

After installation, it still does not boot.
Comment 5 Hubert Verstraete 2005-08-26 18:45:46 EDT
After more than 3 weeks of fight, here are my last remarks.

The other distributions having the exact same behavior were Mandrake 10.2 and
Suse 9.3.
The distributions which are working are Debian (kernel 2.6.11 and 2.6.12),
Gentoo, OpenSuse.

I discovered the problem occurs specifically when acpi=off is used.
And I was forced to use this option, otherwise /sbin/loader hangs.

OpenSuse beta 2 (kernel 2.6.13-rcxxx) installed even when using acpi=off. This
was weird enough to move my search on the BIOS side regarding some USB interaction.
I found an update of the BIOS (Version R01-B0) for which one of the changes is
"USB wake-up in S3 only". So I flashed the BIOS, and I've finally been able to
install Fedora Core 4 with acpi=off option!!! sata_uli loads and detects the
hard drive.
Now I can run the Fedora Core 4 without the acpi=off option. Victory!
But there might be a bug somewhere...
Comment 6 Hubert Verstraete 2005-08-26 19:02:44 EDT
(In reply to comment #5)
> OpenSuse beta 2 (kernel 2.6.13-rcxxx) installed even when using acpi=off.

oops, I wanted to say, OpenSuse failed the same way as Fedora with the no acpi
option. Sorry.
Comment 7 Hubert Verstraete 2005-08-29 06:30:13 EDT
kernel 2.6.12-1.1398_FC4smp was running well with my updated BIOS and with acpi
enabled.
I've upgraded to the new kernel 2.6.12-1.1447_FC4smp which ACPI now fails with
the messages (new bug for bugzilla?):
ACPI-0127: *** Error: acpi_load_tables: Could not load namespace:
AE_AML_NO_RETURN_VALUE
ACPI-0136: *** Error: acpi_load_tables: Could not load tables:
AE_AML_NO_RETURN_VALUE
ACPI: Unable to load the System Description Tables

Consequences: ACPI is disabled, the boot goes on and the module sata_uli hangs
like before :(
The weird thing now is that sata_uli doesn't hang if I use the option acpi=off.
Moreover, if I boot with the non-SMP kernel 2.6.12-1.1447_FC4, even though ACPI
fails the same way, sata_uli normally loads.
Comment 8 Hubert Verstraete 2005-09-12 15:59:30 EDT
Kernel 2.6.12-1.1450_FC4smp from updates/testing fixes the ACPI loading failure,
thanks to the inclusion of the ACPI patch 20050902 which includes the fix of the
kernel's BUG 5162: http://bugzilla.kernel.org/show_bug.cgi?id=5162
Now that ACPI is back, the sata_uli module loads successfully again...

Note You need to log in before you can comment on or make changes to this bug.